qt + visual studio

Discussion in 'С/С++, C#, Rust, Swift, Go, Java, Perl, Ruby' started by qaz, 30 Jan 2014.

  1. qaz

    qaz Elder - Старейшина

    Joined:
    12 Jul 2010
    Messages:
    1,582
    Likes Received:
    173
    Reputations:
    75
    Всем приве,т, у меня короче проблема с установкой, в точности такая же как у автора этой темы http://qt-project.org/forums/viewthread/29922

    ранца только в точ что qt и плгин для vs последних версий
    короче уже весь гугл перерыл и так и не смог найти решение этой проблемы, мб хто сталкивался? или может хто подскажет что делать?
     
  2. Ins3t

    Ins3t Харьковчанин

    Joined:
    18 Jul 2009
    Messages:
    942
    Likes Received:
    428
    Reputations:
    139
    была такая проблема, забил на нее и начал юзать QtCreator для этих целей.

    но так же можно все настроить без плагина. геморнее немного правда.

    http://www.fulcrumweb.com.ua/archives/3827
     
  3. qaz

    qaz Elder - Старейшина

    Joined:
    12 Jul 2010
    Messages:
    1,582
    Likes Received:
    173
    Reputations:
    75
    в общем решил проблему, как оказалось, нужно было просто указать в настройках qt путь к qmake.

    теперь проблема стала в другом,

    когда нажимаю копилить пишет ошибку,

    Ошибка 2 error LNK1112: тип компьютера модуля "x64" противоречит типу целевого компьютера "X86" C:\Users\Admin\documents\visual studio 2012\Projects\1\1\Qt5Widgetsd.lib(Qt5Widgetsd.dll) 1


    пошол гуглить, там прочитал что ошибка возникает из-за того что qt скачан 64x, а визуал студио компилит по 32х, и посоветовали скачать qt 32х, а вот если я хочу писать софт под 64x, я в настройках дебагера выбирааю 64х, а он мне выддаёт ошибку

    There's no Qt version assigned to this project for platform x64” Please use the change qt version feature and choose a valid qt version for platform


    чёза бред? :confused: гугл опять же не помог :(
     
Loading...